jQuery(document).on('pageshow', '#idMenu', function() {
	{
		{
			jQuery('#idMenu_Settings_ShowProcessor')
				.off('change')
				.on('change', function() {
					var Menu_boolProcessor = jQuery(this).is(':checked');
					
					if (Menu_boolProcessor === true) {
						MonRect.Menu_boolProcessor = true;
						
					} else if (Menu_boolProcessor === false) {
						MonRect.Menu_boolProcessor = false;
						
					}
				})
				.off('update')
				.on('update', function() {
					if (MonRect.Menu_boolProcessor === true) {
						jQuery(this)
							.prop({
								'checked': true
							})
							.checkboxradio('refresh')
						;
						
					} else if (MonRect.Menu_boolProcessor === false) {
						jQuery(this)
							.prop({
								'checked': false
							})
							.checkboxradio('refresh')
						;
					
					}
				})
			;
			
			jQuery('#idMenu_Settings_ShowProcessor')
				.trigger('update')
			;
		}
		
		{
			jQuery('#idMenu_Settings_ShowMemory')
				.off('change')
				.on('change', function() {
					var Menu_boolMemory = jQuery(this).is(':checked');
					
					if (Menu_boolMemory === true) {
						MonRect.Menu_boolMemory = true;
						
					} else if (Menu_boolMemory === false) {
						MonRect.Menu_boolMemory = false;
						
					}
				})
				.off('update')
				.on('update', function() {
					if (MonRect.Menu_boolMemory === true) {
						jQuery(this)
							.prop({
								'checked': true
							})
							.checkboxradio('refresh')
						;
						
					} else if (MonRect.Menu_boolMemory === false) {
						jQuery(this)
							.prop({
								'checked': false
							})
							.checkboxradio('refresh')
						;
					
					}
				})
			;
			
			jQuery('#idMenu_Settings_ShowMemory')
				.trigger('update')
			;
		}
		
		{
			jQuery('#idMenu_Settings_ShowNetwork')
				.off('change')
				.on('change', function() {
					var Menu_boolNetwork = jQuery(this).is(':checked');
					
					if (Menu_boolNetwork === true) {
						MonRect.Menu_boolNetwork = true;
						
					} else if (Menu_boolNetwork === false) {
						MonRect.Menu_boolNetwork = false;
						
					}
				})
				.off('update')
				.on('update', function() {
					if (MonRect.Menu_boolNetwork === true) {
						jQuery(this)
							.prop({
								'checked': true
							})
							.checkboxradio('refresh')
						;
						
					} else if (MonRect.Menu_boolNetwork === false) {
						jQuery(this)
							.prop({
								'checked': false
							})
							.checkboxradio('refresh')
						;
					
					}
				})
			;
			
			jQuery('#idMenu_Settings_ShowNetwork')
				.trigger('update')
			;
		}
		
		{
			jQuery('#idMenu_Settings_ShowStorage')
				.off('change')
				.on('change', function() {
					var Menu_boolStorage = jQuery(this).is(':checked');
					
					if (Menu_boolStorage === true) {
						MonRect.Menu_boolStorage = true;
						
					} else if (Menu_boolStorage === false) {
						MonRect.Menu_boolStorage = false;
						
					}
				})
				.off('update')
				.on('update', function() {
					if (MonRect.Menu_boolStorage === true) {
						jQuery(this)
							.prop({
								'checked': true
							})
							.checkboxradio('refresh')
						;
						
					} else if (MonRect.Menu_boolStorage === false) {
						jQuery(this)
							.prop({
								'checked': false
							})
							.checkboxradio('refresh')
						;
					
					}
				})
			;
			
			jQuery('#idMenu_Settings_ShowStorage')
				.trigger('update')
			;
		}
	}
});

jQuery(document).on('pageshow', '#idGraphicalMonitor', function() {
	{
		if (MonRect.Menu_boolProcessor === true) {
			jQuery('#idGraphicalMonitor_Processor')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolProcessor === false) {
			jQuery('#idGraphicalMonitor_Processor')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolMemory === true) {
			jQuery('#idGraphicalMonitor_Memory')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolMemory === false) {
			jQuery('#idGraphicalMonitor_Memory')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolNetwork === true) {
			jQuery('#idGraphicalMonitor_Network')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolNetwork === false) {
			jQuery('#idGraphicalMonitor_Network')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolStorage === true) {
			jQuery('#idGraphicalMonitor_Storage')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolStorage === false) {
			jQuery('#idGraphicalMonitor_Storage')
				.css({
					'display': 'none'
				})
			;
		
		}
	}
	
	{
		MonRect.GraphicalMonitor_boolCreated = false;
		
		jQuery.ajax({
			'async': true,
			'type': 'GET',
			'url': '/menu.xml?strRequest=requestInit:requestRead',
			'dataType': 'xml',
			'success': function(xmlHandle) {
				if (MonRect.Menu_boolProcessor === true) {
					jQuery('#idGraphicalMonitor_Processor_Plot')
						.css({
							'width': jQuery('#idGraphicalMonitor_Processor_Plot').parent().width() + 'px'
						})
					;
					
					var seriesHandle = [];
					
					jQuery(xmlHandle).children('xml').children('Processor').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var intCore = parseInt(jQuery(this).children('intCore').text(), 10);
						var strName = jQuery(this).children('strName').text();
						var strFamily = jQuery(this).children('strFamily').text();
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						seriesHandle.push({
							'strIdent': strIdent,
							'data': [[]],
							'label': 'Core ' + intCore
						});
					});
					
					{
						var intCount = jQuery('#idGraphicalMonitor_Processor_Plot').parent().width() / 10;
						
						for (var intFor1 = 0; intFor1 < seriesHandle.length; intFor1 += 1) {
							seriesHandle[intFor1].data = [];
							
							for (var intFor2 = 0; intFor2 < intCount; intFor2 += 1) {
								seriesHandle[intFor1].data.push([intFor2, 0]);
							}
						}
					}
					
					jQuery.plot(jQuery('#idGraphicalMonitor_Processor_Plot'), seriesHandle, {
						'legend': {
							'show': true,
							'position': 'nw',
							'sorted': false
						},
						'xaxis': {
							'show': false
						},
						'yaxis': {
							'show': true,
							'position': 'right',
							'min': 0,
							'max': 100
						},
						'series': {
							'lines': {
								'show': true,
								'lineWidth': 3,
								'fill': false
							},
							'shadowSize': 0
						},
						'grid': {
							'show': true,
							'borderWidth': 1,
							'borderColor': '#999999'
						}
					});
				
					{
						// http://code.google.com/p/android/issues/detail?id=35474
						
						var jqParent = jQuery('#idGraphicalMonitor_Processor_Plot');
						
						do {
							if (jqParent.size() === 0) {
								break;
							}
							
							jqParent
								.css({
									'overflow': 'visible'
								})
							;
							
							jqParent = jqParent.parent();
						} while (true);
					}
				}
				
				if (MonRect.Menu_boolMemory === true) {
					jQuery('#idGraphicalMonitor_Memory_Plot')
						.css({
							'width': jQuery('#idGraphicalMonitor_Memory_Plot').parent().width() + 'px'
						})
					;
					
					var seriesHandle = [];
					
					jQuery(xmlHandle).children('xml').children('Memory').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var intTotal = parseInt(jQuery(this).children('intTotal').text(), 10);
						var intFree = parseInt(jQuery(this).children('intFree').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (strName !== 'Physical') {
							return;
						}
						
						seriesHandle.push({
							'strIdent': strIdent,
							'data': [[]],
							'label': 'Memory'
						});
					});
					
					{
						var intCount = jQuery('#idGraphicalMonitor_Memory_Plot').parent().width() / 10;
						
						for (var intFor1 = 0; intFor1 < seriesHandle.length; intFor1 += 1) {
							seriesHandle[intFor1].data = [];
							
							for (var intFor2 = 0; intFor2 < intCount; intFor2 += 1) {
								seriesHandle[intFor1].data.push([intFor2, 0]);
							}
						}
					}
					
					jQuery.plot(jQuery('#idGraphicalMonitor_Memory_Plot'), seriesHandle, {
						'legend': {
							'show': true,
							'position': 'nw',
							'sorted': false
						},
						'xaxis': {
							'show': false
						},
						'yaxis': {
							'show': true,
							'position': 'right',
							'min': 0,
							'max': 100
						},
						'series': {
							'lines': {
								'show': true,
								'lineWidth': 3,
								'fill': false
							},
							'shadowSize': 0
						},
						'grid': {
							'show': true,
							'borderWidth': 1,
							'borderColor': '#999999'
						}
					});
				
					{
						// http://code.google.com/p/android/issues/detail?id=35474
						
						var jqParent = jQuery('#idGraphicalMonitor_Memory_Plot');
						
						do {
							if (jqParent.size() === 0) {
								break;
							}
							
							jqParent
								.css({
									'overflow': 'visible'
								})
							;
							
							jqParent = jqParent.parent();
						} while (true);
					}
				}
				
				if (MonRect.Menu_boolNetwork === true) {
					jQuery('#idGraphicalMonitor_Network_Plot')
						.css({
							'width': jQuery('#idGraphicalMonitor_Network_Plot').parent().width() + 'px'
						})
					;
					
					var seriesHandle = [];
					
					jQuery(xmlHandle).children('xml').children('Network').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var strAddress = jQuery(this).children('strAddress').text();
						var strSubnetmask = jQuery(this).children('strSubnetmask').text();
						var strGateway = jQuery(this).children('strGateway').text();
						var intSpeed = parseInt(jQuery(this).children('intSpeed').text(), 10);
						var intOctetsRead = parseInt(jQuery(this).children('intOctetsRead').text(), 10);
						var intOctetsWrite = parseInt(jQuery(this).children('intOctetsWrite').text(), 10);
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (intOctetsRead === 0) {
							return;
							
						} else if (intOctetsWrite === 0) {
							return;
							
						}
						
						if (strName.length > 14) {
							strName = strName.substr(0, 14) + ' ...';
						}
						
						seriesHandle.push({
							'strIdent': strIdent,
							'data': [[]],
							'label': strName
						});
					});
					
					{
						var intCount = jQuery('#idGraphicalMonitor_Network_Plot').parent().width() / 10;
						
						for (var intFor1 = 0; intFor1 < seriesHandle.length; intFor1 += 1) {
							seriesHandle[intFor1].data = [];
							
							for (var intFor2 = 0; intFor2 < intCount; intFor2 += 1) {
								seriesHandle[intFor1].data.push([intFor2, 0]);
							}
						}
					}
					
					jQuery.plot(jQuery('#idGraphicalMonitor_Network_Plot'), seriesHandle, {
						'legend': {
							'show': true,
							'position': 'nw',
							'sorted': false
						},
						'xaxis': {
							'show': false
						},
						'yaxis': {
							'show': true,
							'position': 'right',
							'min': 0,
							'max': 100
						},
						'series': {
							'lines': {
								'show': true,
								'lineWidth': 3,
								'fill': false
							},
							'shadowSize': 0
						},
						'grid': {
							'show': true,
							'borderWidth': 1,
							'borderColor': '#999999'
						}
					});
				
					{
						// http://code.google.com/p/android/issues/detail?id=35474
						
						var jqParent = jQuery('#idGraphicalMonitor_Network_Plot');
						
						do {
							if (jqParent.size() === 0) {
								break;
							}
							
							jqParent
								.css({
									'overflow': 'visible'
								})
							;
							
							jqParent = jqParent.parent();
						} while (true);
					}
				}
				
				if (MonRect.Menu_boolStorage === true) {
					jQuery('#idGraphicalMonitor_Storage_Plot')
						.css({
							'width': jQuery('#idGraphicalMonitor_Storage_Plot').parent().width() + 'px'
						})
					;
					
					var seriesHandle = [];
					
					jQuery(xmlHandle).children('xml').children('Storage').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strModel = jQuery(this).children('strModel').text();
						var strSerial = jQuery(this).children('strSerial').text();
						var strFirmware = jQuery(this).children('strFirmware').text();
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (strModel === '') {
							return;
						}
						
						if (strModel.length > 14) {
							strModel = strModel.substr(0, 14) + ' ...';
						}
						
						seriesHandle.push({
							'strIdent': strIdent,
							'data': [[]],
							'label': strModel
						});
					});
					
					{
						var intCount = jQuery('#idGraphicalMonitor_Storage_Plot').parent().width() / 10;
						
						for (var intFor1 = 0; intFor1 < seriesHandle.length; intFor1 += 1) {
							seriesHandle[intFor1].data = [];
							
							for (var intFor2 = 0; intFor2 < intCount; intFor2 += 1) {
								seriesHandle[intFor1].data.push([intFor2, 0]);
							}
						}
					}
					
					jQuery.plot(jQuery('#idGraphicalMonitor_Storage_Plot'), seriesHandle, {
						'legend': {
							'show': true,
							'position': 'nw',
							'sorted': false
						},
						'xaxis': {
							'show': false
						},
						'yaxis': {
							'show': true,
							'position': 'right',
							'min': 0,
							'max': 100
						},
						'series': {
							'lines': {
								'show': true,
								'lineWidth': 3,
								'fill': false
							},
							'shadowSize': 0
						},
						'grid': {
							'show': true,
							'borderWidth': 1,
							'borderColor': '#999999'
						}
					});
					
					{
						// http://code.google.com/p/android/issues/detail?id=35474
						
						var jqParent = jQuery('#idGraphicalMonitor_Storage_Plot');
						
						do {
							if (jqParent.size() === 0) {
								break;
							}
							
							jqParent
								.css({
									'overflow': 'visible'
								})
							;
							
							jqParent = jqParent.parent();
						} while (true);
					}
				}
				
				{
					{
						var intWidth = 0;
						
						intWidth = Math.max(intWidth, jQuery('#idGraphicalMonitor_Processor_Plot').width() - 48);
						intWidth = Math.max(intWidth, jQuery('#idGraphicalMonitor_Memory_Plot').width() - 48);
						intWidth = Math.max(intWidth, jQuery('#idGraphicalMonitor_Network_Plot').width() - 48);
						intWidth = Math.max(intWidth, jQuery('#idGraphicalMonitor_Storage_Plot').width() - 48);
						
						jQuery('.legend').each(function() {
							jQuery(this)
								.css({
									'max-width': intWidth + 'px'
								})
							;
							
							jQuery(this).children().each(function() {
								jQuery(this)
									.css({
										'max-width': intWidth + 'px'
									})
								;
							});
						});
					}
					
					jQuery('.legendLabel').each(function() {
						jQuery(this)
							.css({
								'padding-left': '4px',
								'padding-bottom': '4px'
							})
						;
					});
				}
			},
			'complete': function() {
				MonRect.GraphicalMonitor_boolCreated = true;
			}
		});
	}
	
	{
		jQuery('#idGraphicalMonitor_Menu_Recreate')
			.off('click')
			.on('click', function() {
				jQuery('#idGraphicalMonitor_Menu')
					.popup('close')
				;
				
				jQuery('#idGraphicalMonitor')
					.trigger('pageshow')
				;
			})
		;
	}
});

jQuery(document).on('pageshow', '#idTextualMonitor', function() {
	{
		if (MonRect.Menu_boolProcessor === true) {
			jQuery('#idTextualMonitor_Processor')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolProcessor === false) {
			jQuery('#idTextualMonitor_Processor')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolMemory === true) {
			jQuery('#idTextualMonitor_Memory')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolMemory === false) {
			jQuery('#idTextualMonitor_Memory')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolNetwork === true) {
			jQuery('#idTextualMonitor_Network')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolNetwork === false) {
			jQuery('#idTextualMonitor_Network')
				.css({
					'display': 'none'
				})
			;
		
		}
		
		if (MonRect.Menu_boolStorage === true) {
			jQuery('#idTextualMonitor_Storage')
				.css({
					'display': 'block'
				})
			;
			
		} else if (MonRect.Menu_boolStorage === false) {
			jQuery('#idTextualMonitor_Storage')
				.css({
					'display': 'none'
				})
			;
		
		}
	}
	
	{
		MonRect.TextualMonitor_boolCreated = false;
		
		jQuery.ajax({
			'async': true,
			'type': 'GET',
			'url': '/menu.xml?strRequest=requestInit:requestRead',
			'dataType': 'xml',
			'success': function(xmlHandle) {
				if (MonRect.Menu_boolProcessor === true) {
					jQuery('#idTextualMonitor_Processor_Table').children('tbody')
						.empty()
					;
					
					jQuery(xmlHandle).children('xml').children('Processor').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var intCore = parseInt(jQuery(this).children('intCore').text(), 10);
						var strName = jQuery(this).children('strName').text();
						var strFamily = jQuery(this).children('strFamily').text();
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						jQuery('#idTextualMonitor_Processor_Table').children('tbody')
							.append(jQuery('<tr></tr>')
								.append(jQuery('<th></th>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Processor_Table_' + strIdent + '_Name'
										})
										.text('Core ' + intCore)
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Processor_Table_' + strIdent + '_Usage'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intUsage / 1000.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Percent]')
									)
								)
							)
						;
					});
					
					jQuery('#idTextualMonitor_Processor_Table')
						.table('refresh')
					;
				}
				
				if (MonRect.Menu_boolMemory === true) {
					jQuery('#idTextualMonitor_Memory_Table').children('tbody')
						.empty()
					;
					
					jQuery(xmlHandle).children('xml').children('Memory').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var intTotal = parseInt(jQuery(this).children('intTotal').text(), 10);
						var intFree = parseInt(jQuery(this).children('intFree').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (strName !== 'Physical') {
							return;
						}
						
						jQuery('#idTextualMonitor_Memory_Table').children('tbody')
							.append(jQuery('<tr></tr>')
								.append(jQuery('<th></th>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Memory_Table_' + strIdent + '_Name'
										})
										.text(strName)
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Memory_Table_' + strIdent + '_Total'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intTotal / 1024.0 / 1024.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Memory_Table_' + strIdent + '_Free'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intFree / 1024.0 / 1024.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Memory_Table_' + strIdent + '_Usage'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intUsage / 1000.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Percent]')
									)
								)
							)
						;
					});
					
					jQuery('#idTextualMonitor_Memory_Table')
						.table('refresh')
					;
				}
				
				if (MonRect.Menu_boolNetwork === true) {
					jQuery('#idTextualMonitor_Network_Table').children('tbody')
						.empty()
					;
					
					jQuery(xmlHandle).children('xml').children('Network').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var strAddress = jQuery(this).children('strAddress').text();
						var strSubnetmask = jQuery(this).children('strSubnetmask').text();
						var strGateway = jQuery(this).children('strGateway').text();
						var intSpeed = parseInt(jQuery(this).children('intSpeed').text(), 10);
						var intOctetsRead = parseInt(jQuery(this).children('intOctetsRead').text(), 10);
						var intOctetsWrite = parseInt(jQuery(this).children('intOctetsWrite').text(), 10);
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (intOctetsRead === 0) {
							return;
							
						} else if (intOctetsWrite === 0) {
							return;
							
						}
						
						jQuery('#idTextualMonitor_Network_Table').children('tbody')
							.append(jQuery('<tr></tr>')
								.append(jQuery('<th></th>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_Name'
										})
										.each(function() {
											jQuery(this)
												.text(strName)
											;
											
											if (strName.length > 14) {
												jQuery(this)
													.text(strName.substr(0, 14) + ' ...')
												;
											}
										})
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_Speed'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intSpeed / (1000.0 * 1000.0)).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MBit/s]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_PacketsRead'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text(intPacketsRead)
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Packets]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_BytesRead'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intBytesRead / 1024.0 / 1024.0).toFixed(3))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB/s]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_PacketsWrite'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text(intPacketsWrite)
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Packets]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_BytesWrite'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intBytesWrite / 1024.0 / 1024.0).toFixed(3))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB/s]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Network_Table_' + strIdent + '_Usage'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intUsage / 1000.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Percent]')
									)
								)
							)
						;
					});
					
					jQuery('#idTextualMonitor_Network_Table')
						.table('refresh')
					;
				}
				
				if (MonRect.Menu_boolStorage === true) {
					jQuery('#idTextualMonitor_Storage_Table').children('tbody')
						.empty()
					;
					
					jQuery(xmlHandle).children('xml').children('Storage').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strModel = jQuery(this).children('strModel').text();
						var strSerial = jQuery(this).children('strSerial').text();
						var strFirmware = jQuery(this).children('strFirmware').text();
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						if (strModel === '') {
							return;
						}
						
						jQuery('#idTextualMonitor_Storage_Table').children('tbody')
							.append(jQuery('<tr></tr>')
								.append(jQuery('<th></th>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_Name'
										})
										.each(function() {
											jQuery(this)
												.text(strModel)
											;
											
											if (strModel.length > 14) {
												jQuery(this)
													.text(strModel.substr(0, 14) + ' ...')
												;
											}
										})
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_PacketsRead'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text(intPacketsRead)
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Packets]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_BytesRead'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intBytesRead / 1024.0 / 1024.0).toFixed(3))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB/s]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_PacketsWrite'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text(intPacketsWrite)
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Packets]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_BytesWrite'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intBytesWrite / 1024.0 / 1024.0).toFixed(3))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[MB/s]')
									)
								)
								.append(jQuery('<td></td>')
									.append(jQuery('<a></a>')
										.attr({
											'id': 'idTextualMonitor_Storage_Table_' + strIdent + '_Usage'
										})
										.css({
											'display': 'inline-block',
											'width': '60px',
											'text-align': 'right'
										})
										.text((intUsage / 1000.0).toFixed(1))
									)
									.append(jQuery('<a></a>')
										.css({
											'padding': '0px 0px 0px 4px',
											'color': '#999999',
											'font-size': '10px'
										})
										.text('[Percent]')
									)
								)
							)
						;
					});
					
					jQuery('#idTextualMonitor_Storage_Table')
						.table('refresh')
					;
				}
			},
			'complete': function() {
				MonRect.TextualMonitor_boolCreated = true;
			}
		});
	}
	
	{
		jQuery('#idTextualMonitor_Menu_Recreate')
			.off('click')
			.on('click', function() {
				jQuery('#idTextualMonitor_Menu')
					.popup('close')
				;
				
				jQuery('#idTextualMonitor')
					.trigger('pageshow')
				;
			})
		;
	}
});

var MonRect = {
	Menu_boolProcessor: false,
	Menu_boolMemory: false,
	Menu_boolNetwork: false,
	Menu_boolStorage: false,
	
	GraphicalMonitor_boolCreated: false,
	
	TextualMonitor_boolCreated: false
};

{
	MonRect.Menu_boolProcessor = true;
	MonRect.Menu_boolMemory = true;
	MonRect.Menu_boolNetwork = true;
	MonRect.Menu_boolStorage = true;
}

{
	var timeoutAjax = null;
	
	var functionAjax = function() {
		jQuery.ajax({
			'async': true,
			'type': 'GET',
			'url': '/menu.xml?strRequest=requestRead',
			'dataType': 'xml',
			'success': function(xmlHandle) {
				if (window.location.href.indexOf('#idGraphicalMonitor') !== -1) {
					if (MonRect.GraphicalMonitor_boolCreated === false) {
						return;
					}
					
					{
						var boolResize = false;
						
						if (MonRect.Menu_boolProcessor === true) {
							if (jQuery('#idGraphicalMonitor_Processor_Plot').width() !== jQuery('#idGraphicalMonitor_Processor_Plot').parent().width()) {
								boolResize = true;
							}
						}
						
						if (MonRect.Menu_boolMemory === true) {
							if (jQuery('#idGraphicalMonitor_Memory_Plot').width() !== jQuery('#idGraphicalMonitor_Memory_Plot').parent().width()) {
								boolResize = true;
							}
						}
						
						if (MonRect.Menu_boolNetwork === true) {
							if (jQuery('#idGraphicalMonitor_Network_Plot').width() !== jQuery('#idGraphicalMonitor_Network_Plot').parent().width()) {
								boolResize = true;
							}
						}
						
						if (MonRect.Menu_boolStorage === true) {
							if (jQuery('#idGraphicalMonitor_Storage_Plot').width() !== jQuery('#idGraphicalMonitor_Storage_Plot').parent().width()) {
								boolResize = true;
							}
						}
						
						if (boolResize === true) {
							jQuery('#idGraphicalMonitor')
								.trigger('pageshow')
							;
						}
					}
					
					if (MonRect.Menu_boolProcessor === true) {
						var seriesHandle = jQuery('#idGraphicalMonitor_Processor_Plot').data('plot').getData();
						
						jQuery(xmlHandle).children('xml').children('Processor').each(function() {
							var strIdent = jQuery(this).children('strIdent').text();
							var intCore = parseInt(jQuery(this).children('intCore').text(), 10);
							var strName = jQuery(this).children('strName').text();
							var strFamily = jQuery(this).children('strFamily').text();
							var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
							
							var intSearchData = -1;
							
							for (var intForSearchData = 0; intForSearchData < seriesHandle.length; intForSearchData += 1) {
								if (seriesHandle[intForSearchData].strIdent === strIdent) {
									intSearchData = intForSearchData;
									
									break;
								}
							}
							
							if (intSearchData === -1) {
								return;
							}
							
							seriesHandle[intSearchData].data.shift();
							seriesHandle[intSearchData].data.push([0, intUsage / 1000.0]);
							
							for (var intFor1 = 0; intFor1 < seriesHandle[intSearchData].data.length; intFor1 += 1) {
								seriesHandle[intSearchData].data[intFor1][0] = intFor1;
							}
						});
					
						jQuery('#idGraphicalMonitor_Processor_Plot').data('plot')
							.setData(seriesHandle)
						;
						
						jQuery('#idGraphicalMonitor_Processor_Plot').data('plot')
							.draw()
						;
					}
					
					if (MonRect.Menu_boolMemory === true) {
						var seriesHandle = jQuery('#idGraphicalMonitor_Memory_Plot').data('plot').getData();
						
						jQuery(xmlHandle).children('xml').children('Memory').each(function() {
							var strIdent = jQuery(this).children('strIdent').text();
							var strName = jQuery(this).children('strName').text();
							var intTotal = parseInt(jQuery(this).children('intTotal').text(), 10);
							var intFree = parseInt(jQuery(this).children('intFree').text(), 10);
							var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
							
							var intSearchData = -1;
							
							for (var intForSearchData = 0; intForSearchData < seriesHandle.length; intForSearchData += 1) {
								if (seriesHandle[intForSearchData].strIdent === strIdent) {
									intSearchData = intForSearchData;
									
									break;
								}
							}
							
							if (intSearchData === -1) {
								return;
							}
							
							seriesHandle[intSearchData].data.shift();
							seriesHandle[intSearchData].data.push([0, intUsage / 1000.0]);
							
							for (var intFor1 = 0; intFor1 < seriesHandle[intSearchData].data.length; intFor1 += 1) {
								seriesHandle[intSearchData].data[intFor1][0] = intFor1;
							}
						});
						
						jQuery('#idGraphicalMonitor_Memory_Plot').data('plot')
							.setData(seriesHandle)
						;
						
						jQuery('#idGraphicalMonitor_Memory_Plot').data('plot')
							.draw()
						;
					}
					
					if (MonRect.Menu_boolNetwork === true) {
						var seriesHandle = jQuery('#idGraphicalMonitor_Network_Plot').data('plot').getData();
						
						jQuery(xmlHandle).children('xml').children('Network').each(function() {
							var strIdent = jQuery(this).children('strIdent').text();
							var strName = jQuery(this).children('strName').text();
							var strAddress = jQuery(this).children('strAddress').text();
							var strSubnetmask = jQuery(this).children('strSubnetmask').text();
							var strGateway = jQuery(this).children('strGateway').text();
							var intSpeed = parseInt(jQuery(this).children('intSpeed').text(), 10);
							var intOctetsRead = parseInt(jQuery(this).children('intOctetsRead').text(), 10);
							var intOctetsWrite = parseInt(jQuery(this).children('intOctetsWrite').text(), 10);
							var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
							var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
							var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
							var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
							var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
							
							var intSearchData = -1;
							
							for (var intForSearchData = 0; intForSearchData < seriesHandle.length; intForSearchData += 1) {
								if (seriesHandle[intForSearchData].strIdent === strIdent) {
									intSearchData = intForSearchData;
									
									break;
								}
							}
							
							if (intSearchData === -1) {
								return;
							}
							
							seriesHandle[intSearchData].data.shift();
							seriesHandle[intSearchData].data.push([0, intUsage / 1000.0]);
							
							for (var intFor1 = 0; intFor1 < seriesHandle[intSearchData].data.length; intFor1 += 1) {
								seriesHandle[intSearchData].data[intFor1][0] = intFor1;
							}
						});
						
						jQuery('#idGraphicalMonitor_Network_Plot').data('plot')
							.setData(seriesHandle)
						;
						
						jQuery('#idGraphicalMonitor_Network_Plot').data('plot')
							.draw()
						;
					}
					
					if (MonRect.Menu_boolStorage === true) {
						var seriesHandle = jQuery('#idGraphicalMonitor_Storage_Plot').data('plot').getData();
						
						jQuery(xmlHandle).children('xml').children('Storage').each(function() {
							var strIdent = jQuery(this).children('strIdent').text();
							var strModel = jQuery(this).children('strModel').text();
							var strSerial = jQuery(this).children('strSerial').text();
							var strFirmware = jQuery(this).children('strFirmware').text();
							var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
							var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
							var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
							var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
							var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
							
							var intSearchData = -1;
							
							for (var intForSearchData = 0; intForSearchData < seriesHandle.length; intForSearchData += 1) {
								if (seriesHandle[intForSearchData].strIdent === strIdent) {
									intSearchData = intForSearchData;
									
									break;
								}
							}
							
							if (intSearchData === -1) {
								return;
							}
							
							seriesHandle[intSearchData].data.shift();
							seriesHandle[intSearchData].data.push([0, intUsage / 1000.0]);
							
							for (var intFor1 = 0; intFor1 < seriesHandle[intSearchData].data.length; intFor1 += 1) {
								seriesHandle[intSearchData].data[intFor1][0] = intFor1;
							}
						});
						
						jQuery('#idGraphicalMonitor_Storage_Plot').data('plot')
							.setData(seriesHandle)
						;
						
						jQuery('#idGraphicalMonitor_Storage_Plot').data('plot')
							.draw()
						;
					}
					
				} else if (window.location.href.indexOf('#idTextualMonitor') !== -1) {
					if (MonRect.TextualMonitor_boolCreated === false) {
						return;
					}
					
					jQuery(xmlHandle).children('xml').children('Processor').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var intCore = parseInt(jQuery(this).children('intCore').text(), 10);
						var strName = jQuery(this).children('strName').text();
						var strFamily = jQuery(this).children('strFamily').text();
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						jQuery('#idTextualMonitor_Processor_Table_' + strIdent + '_Usage')
							.text((intUsage / 1000.0).toFixed(1))
						;
					});
					
					jQuery(xmlHandle).children('xml').children('Memory').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var intTotal = parseInt(jQuery(this).children('intTotal').text(), 10);
						var intFree = parseInt(jQuery(this).children('intFree').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						jQuery('#idTextualMonitor_Memory_Table_' + strIdent + '_Total')
							.text((intTotal / 1024.0 / 1024.0).toFixed(1))
						;
						
						jQuery('#idTextualMonitor_Memory_Table_' + strIdent + '_Free')
							.text((intFree / 1024.0 / 1024.0).toFixed(1))
						;
						
						jQuery('#idTextualMonitor_Memory_Table_' + strIdent + '_Usage')
							.text((intUsage / 1000.0).toFixed(1))
						;
					});
					
					jQuery(xmlHandle).children('xml').children('Network').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strName = jQuery(this).children('strName').text();
						var strAddress = jQuery(this).children('strAddress').text();
						var strSubnetmask = jQuery(this).children('strSubnetmask').text();
						var strGateway = jQuery(this).children('strGateway').text();
						var intSpeed = parseInt(jQuery(this).children('intSpeed').text(), 10);
						var intOctetsRead = parseInt(jQuery(this).children('intOctetsRead').text(), 10);
						var intOctetsWrite = parseInt(jQuery(this).children('intOctetsWrite').text(), 10);
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_Speed')
							.text((intSpeed / (1000.0 * 1000.0)).toFixed(1))
						;
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_PacketsRead')
							.text(intPacketsRead)
						;
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_BytesRead')
							.text((intBytesRead / 1024.0 / 1024.0).toFixed(3))
						;
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_PacketsWrite')
							.text(intPacketsWrite)
						;
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_BytesWrite')
							.text((intBytesWrite / 1024.0 / 1024.0).toFixed(3))
						;
						
						jQuery('#idTextualMonitor_Network_Table_' + strIdent + '_Usage')
							.text((intUsage / 1000.0).toFixed(1))
						;
					});
					
					jQuery(xmlHandle).children('xml').children('Storage').each(function() {
						var strIdent = jQuery(this).children('strIdent').text();
						var strModel = jQuery(this).children('strModel').text();
						var strSerial = jQuery(this).children('strSerial').text();
						var strFirmware = jQuery(this).children('strFirmware').text();
						var intPacketsRead = parseInt(jQuery(this).children('intPacketsRead').text(), 10);
						var intPacketsWrite = parseInt(jQuery(this).children('intPacketsWrite').text(), 10);
						var intBytesRead = parseInt(jQuery(this).children('intBytesRead').text(), 10);
						var intBytesWrite = parseInt(jQuery(this).children('intBytesWrite').text(), 10);
						var intUsage = parseInt(jQuery(this).children('intUsage').text(), 10);
						
						jQuery('#idTextualMonitor_Storage_Table_' + strIdent + '_PacketsRead')
							.text(intPacketsRead)
						;
						
						jQuery('#idTextualMonitor_Storage_Table_' + strIdent + '_BytesRead')
							.text((intBytesRead / 1024.0 / 1024.0).toFixed(3))
						;
						
						jQuery('#idTextualMonitor_Storage_Table_' + strIdent + '_PacketsWrite')
							.text(intPacketsWrite)
						;
						
						jQuery('#idTextualMonitor_Storage_Table_' + strIdent + '_BytesWrite')
							.text((intBytesWrite / 1024.0 / 1024.0).toFixed(3))
						;
						
						jQuery('#idTextualMonitor_Storage_Table_' + strIdent + '_Usage')
							.text((intUsage / 1000.0).toFixed(1))
						;
					});
					
				}
			},
			'complete': function() {
				window.clearTimeout(timeoutAjax);
				
				timeoutAjax = window.setTimeout(functionAjax, 1000);
			}
		});
	};
	
	functionAjax();
}